Bug 982356 - Please remove mcelog from comps as default install
Please remove mcelog from comps as default install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks: WhyWeBootSoSlow
  Show dependency treegraph
 
Reported: 2013-07-08 15:00 EDT by Lennart Poettering
Modified: 2016-01-26 21:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 21:04:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2013-07-08 15:00:50 EDT
Installing mcelog by default on Fedora sounds unnecessary, as the issues reported by mcelog are not actionable by the user.

Let's keep our default installation small!
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-07-09 12:41:30 EDT
(In reply to Lennart Poettering from comment #0)
> Installing mcelog by default on Fedora sounds unnecessary, as the issues
> reported by mcelog are not actionable by the user.
I don't understand the logic here. Messages about flaky hardware are useful, and can help diagnose other issues (e.g. random failures that cannot be explained can be attributed to hardware issues if accompanied by MCE errors).
 
> Let's keep our default installation small!
mcelog binary is 101k on disk, to it really has a tiny footprint.
Comment 2 Bill Nottingham 2013-07-10 11:35:55 EDT
Are these errors in the journal when mcelog is not installed?
Comment 3 Fedora End Of Life 2013-09-16 10:26:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora End Of Life 2015-05-29 05:09:47 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-05-29 15:21:20 EDT
(In reply to Bill Nottingham from comment #2)
> Are these errors in the journal when mcelog is not installed?
I don't think so.
Comment 7 Jan Kurik 2015-07-15 10:47:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Zbigniew Jędrzejewski-Szmek 2016-01-26 21:04:31 EST
mcelog is very useful on hardware capable of logging mce errors. The daemon has specific support for various processors and is necessary to retrieve and interpret the errors.

Note You need to log in before you can comment on or make changes to this bug.